In RTL languages, "history" and "add section" menu items moved into the hidden menu
Closed, ResolvedPublic

Description

(by "the hidden menu" i mean the menu that opens under the inverted triangle - where "move" normally lives). with wmf8, "history" and "add section" moved there also. i do not believe this is intentional - this does not seem to happen in ltr wikis, and was not announce anywhere.

i am 88.21% certain this is a result of bug 50193, but i can't be 100% sure.
the problem goes away if you disable javascript.

peace.


Version: 1.22.0
Severity: critical

bzimport added a project: MediaWiki-JavaScript.Via ConduitNov 22 2014, 2:04 AM
bzimport set Reference to bz50196.
Kipod created this task.Via LegacyJun 25 2013, 8:20 PM
Kipod added a comment.Via ConduitJun 25 2013, 9:54 PM

ok. this is not related to bug 50193, but rather to something else in collapsibleTabs.js:

the problem is that collapsibleTabs.js has a "module global" variable named "rtl", which is calculated on startup by calling

var rtl = $( 'body' ).is( '.rtl' );

the problem is that this module is loaded too early, and at this point in time,

$( 'body' ).is( '.rtl' )

returns false, even though it *is* and RTL wiki.

we should postpone the calculation of this variable to a later time: e.g., inside $.fn.collapsibleTabs(), do something like

if ( typeof rtl === "undefined" )

rtl = $( 'body' ).is( '.rtl' );

also, if this code is exactly equal to upstream, methinks we should report the issue there too.

peace.

gerritbot added a comment.Via ConduitJun 25 2013, 11:46 PM

Related URL: https://gerrit.wikimedia.org/r/70569 (Gerrit Change I6e277a9503a1e6003bc7bf9f9468ed7b35552e60)

matmarex added a comment.Via ConduitJun 26 2013, 12:09 AM

(The module is now loaded from the 'top' queue, while it was loaded from 'bottom' before when it was a part of the Vector extension instead of core.)

Kipod added a comment.Via ConduitJun 26 2013, 12:27 AM

based on my tests, this patch solves the problem. (tested with chrome).

please try to merge this patch before wmf8 is deployed to RTL wikipedias (June 27, according to the roadmap) - i can hear my users screaming "where is my history tab, where is my add section tab" all the way up to here (they are already screaming on wiktionary...)

Thanks!

peace.

gerritbot added a comment.Via ConduitJun 26 2013, 1:19 AM

Related URL: https://gerrit.wikimedia.org/r/70576 (Gerrit Change I6e277a9503a1e6003bc7bf9f9468ed7b35552e60)

Krenair added a comment.Via ConduitJun 26 2013, 1:24 AM

Merged by Roan, looks like he's deploying it now.

Krenair added a comment.Via ConduitJun 26 2013, 1:43 AM

It was deployed:
<logmsgbot> !log catrope synchronized php-1.22wmf8/skins/vector/collapsibleTabs.js 'I6e277a9503a1e6003bc7bf9f9468ed7b35552e60'
And is working: https://www.mediawiki.org/wiki/Talk:MediaWiki?uselang=ar

matmarex added a comment.Via ConduitJun 26 2013, 1:43 AM

Fixed, deployed, verified, works. Sorry about the trouble! :)

Kipod added a comment.Via ConduitJun 26 2013, 4:47 AM

thanks! this was quick.

peace.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.